-- =============================================
-- 名称：获取明火作业任务列表
-- 作者：何宏达
-- 日期：2018.09.14
-- 说明: 获取明火作业任务列表
-- =============================================
CREATE procedure [dbo].[bw_FireWorking_GetList] 
  @pageSize int, 
  @pageIndex int,
  @MonitorUser varchar(50)='%',
  @StartDate date,
  @EndDate date,
  @State varchar(50)='%'
AS
begin

select top 10 
	convert(varchar(10),BillDate,23) as 单据日期,
	BillNO as 单据编号,
	a.State as 单据状态,
	a.WorkLocation as 作业地点,
	a.MonitorUser as 监视人
from (select row_number() over(order by BillNO desc) as rowid,* from bw_FireWorking WHERE BillDate>=@StartDate and BillDate<=@EndDate and State like @State and MonitorUser like @MonitorUser) a 
where rowid > @pageSize * @pageIndex order by BillNO desc

END
go

grant execute on bw_FireWorking_GetList to xjapp
go

