-- =============================================
-- 名称：获取问题列表
-- 作者：	邢港
-- 日期：2018/08/15
-- 说明：	
-- =============================================
CREATE PROCEDURE [dbo].[bw_IssueRecord_GetDetail] 
	@BillNO varchar(50)
AS
BEGIN

select  
  convert(varchar(10),BillDate,23) as 单据日期,
  BillNO as 单据编号,
  Type as 类型,
  Title as 标题,
  Mhqbm as 灭火器编号,
  Locale as 地点,
  GPSName as GPS坐标,
  Content as 问题详情,
  EditUserName as 上报人,
  IsHandle as 是否处理,
  HandleUserName as 处理人,
  HandleTime as 处理时间,
  HandleNote as 处理意见
from bw_IssueRecord WHERE BillNO=@BillNO

select Guid,Path,cast('' as varchar(100)) as src from bw_IssueRecord_Image where BillNO=@BillNO order by OrderIndex

END
go

grant execute on bw_IssueRecord_GetDetail to xjapp
go

