-- =============================================
-- 名称：问题处理
-- 作者：	邢港
-- 日期：2018/08/15
-- =============================================
CREATE PROCEDURE [dbo].[bw_IssueRecord_GetReportData] 
  @beginDate date,
  @endDate date,
  @queryType varchar(50)
AS
begin

if @queryType='class'
begin
  select isnull(b.DepartName,'未分组人员') as DepartName,count(*) as IssueCount 
  from bw_IssueRecord a
    left join bw_Employee b on a.EditUserGuid=b.EmployeeGuid
  where a.BillDate between @beginDate and @endDate
  group by b.DepartName
  return
end

select 'queryType error' as Error 

end
go

grant execute on bw_IssueRecord_GetReportData to xjapp
go

