
-- =============================================
-- 名    称：晚班巡检次数记录
-- 作    者：曹润
-- 日    期：2020年5月15日 
-- 功能简介：每天晚班下班时，记录所有巡检点晚班巡检次数
-- =============================================
CREATE PROCEDURE [dbo].[bw_xjcs_wb] 
	
AS 
declare @ssbb varchar(30),@xczq int,@ssbc varchar(30),@pjsj time,@pjrq datetime,@xcbjsj datetime ,@pdsj time,@sbsj time,@xcsbsj datetime
declare @bm varchar(30),@wz varchar(30),@ssdb varchar(30),@zh nvarchar(50),@xcsj datetime
BEGIN
  --总公司厂区
  insert into [bw].[dbo].[bw_xjcs] SELECT mhqbm,count(1) as 巡检次数,6 as 应巡检次数 ,GETDATE() AS 时间 FROM [bw].[dbo].[bw_xclssjb] 
  where mhqbm in ('X0101','X0102','X0103','X0104','X0105','X0106','X0107','X0108','X0109','X0110','X0111','X0112','X0113','X0114','X0115','X0116','X0117','X0118','X0119')  
  and xcsj >=DATEADD(hh,-8,getdate())   and xcsj <=getdate() group by mhqbm 
	--总公司东门
	 insert into [bw].[dbo].[bw_xjcs] SELECT mhqbm,count(1) as 巡检次数,6 as 应巡检次数 ,GETDATE() AS 时间 FROM [bw].[dbo].[bw_xclssjb] 
	where mhqbm in ('X0120','X0121','X0122','X0123','X0124','X0125','X0126','X0127','X0128')  
	and xcsj >=DATEADD(hh,-8,getdate())  and xcsj <=getdate() group by mhqbm
	--制衣厂厂区
	insert into [bw].[dbo].[bw_xjcs] SELECT mhqbm,count(1) as 巡检次数,6 as 应巡检次数 ,GETDATE() AS 时间 FROM [bw].[dbo].[bw_xclssjb] 
	where mhqbm in ( 'X0201','X0202','X0203','X0204','X0205','X0206','X0207','X0208','X0209','X0210','X0211','X0212','X0213','X0214','X0215','X0216','X0217','X0218','X0219','X0220','X0221','X0222') 
	 and xcsj >=DATEADD(hh,-8,getdate())   and xcsj <=getdate() group by mhqbm 
	--制衣厂梨园
	 insert into [bw].[dbo].[bw_xjcs] SELECT mhqbm,count(1) as 巡检次数,12 as 应巡检次数,GETDATE() AS 时间  FROM [bw].[dbo].[bw_xclssjb] 
	 where mhqbm in ( 'X0223','X0224','X0225','X0226','X0227')  
	 and xcsj >=DATEADD(hh,-8,getdate())   and xcsj <=getdate() group by mhqbm
	 --制衣厂北杨家
	 insert into [bw].[dbo].[bw_xjcs] SELECT mhqbm,count(1) as 巡检次数,12 as 应巡检次数,GETDATE() AS 时间  FROM [bw].[dbo].[bw_xclssjb]
	  where mhqbm in ( 'X0228','X0229')  
	 and xcsj >=DATEADD(hh,-8,getdate())   and xcsj <=getdate() group by mhqbm 
	 --西区厂区
	 insert into [bw].[dbo].[bw_xjcs] SELECT mhqbm,count(1) as 巡检次数,5 as 应巡检次数,GETDATE() AS 时间  FROM [bw].[dbo].[bw_xclssjb] 
	 where mhqbm in ( 'X0301','X0302','X0303','X0304','X0305''X0306','X0307','X0308','X0309','X0310','X0311','X0312','X0313','X0314','X0315','X0316','X0317','X0318','X0319','X0320','X0321','X0322','X0323','X0324','X0325','X0326','X0327','X0328','X0329','X0330','X0331')  
	 and xcsj >=DATEADD(hh,-8,getdate())   and xcsj <=getdate() group by mhqbm
	 --西区加油站
	 insert into [bw].[dbo].[bw_xjcs] SELECT mhqbm,count(1) as 巡检次数,14 as 应巡检次数 ,GETDATE() AS 时间 FROM [bw].[dbo].[bw_xclssjb] 
	 where mhqbm in ( 'X0332','X0333','X0334') 
	  and xcsj >=DATEADD(hh,-8,getdate())   and xcsj <=getdate() group by mhqbm
	  --西区鲁联
	 insert into [bw].[dbo].[bw_xjcs]  SELECT mhqbm,count(1) as 巡检次数,16 as 应巡检次数 ,GETDATE() AS 时间 FROM [bw].[dbo].[bw_xclssjb]
	   where mhqbm in ( 'X0335','X0336','X0337','X0338','X0339') 
	   and xcsj >=DATEADD(hh,-8,getdate())   and xcsj <=getdate() group by mhqbm
	   --山庄
	  insert into [bw].[dbo].[bw_xjcs]  SELECT mhqbm,count(1) as 巡检次数,12 as 应巡检次数 ,GETDATE() AS 时间 FROM [bw].[dbo].[bw_xclssjb] 
	   where mhqbm in ( 'X0401','X0402','X0403','X0404','X0405','X0406')  
	   and xcsj >=DATEADD(hh,-8,getdate())   and xcsj <=getdate() group by mhqbm 
       --张店
	  insert into [bw].[dbo].[bw_xjcs]   SELECT mhqbm,count(1) as 巡检次数,4 as 应巡检次数 ,GETDATE() AS 时间 FROM [bw].[dbo].[bw_xclssjb]
		 where mhqbm in ( 'X0501','X0502','X0503','X0504','X0505','X0506','X0507','X0508','X0509','X0510')  
		and xcsj >=DATEADD(hh,-8,getdate())   and xcsj <=getdate() group by mhqbm 
		--电厂厂区
	  insert into [bw].[dbo].[bw_xjcs] 	SELECT mhqbm,count(1) as 巡检次数,4 as 应巡检次数 ,GETDATE() AS 时间 FROM [bw].[dbo].[bw_xclssjb] 
		where mhqbm in ('X0601','X0602','X0603','X0604','X0605','X0606','X0607','X0608','X0609','X0610','X0611','X0612','X0613','X0614','X0615')  
		and xcsj >=DATEADD(hh,-8,getdate())   and xcsj <=getdate() group by mhqbm 
		--电厂纺四
		insert into [bw].[dbo].[bw_xjcs] SELECT mhqbm,count(1) as 巡检次数,8 as 应巡检次数 ,GETDATE() AS 时间 FROM [bw].[dbo].[bw_xclssjb] 
		where mhqbm in ( 'X0616','X0617','X0618','X0619','X0620','X0621','X0622','X0623','X0624','X0625','X0626','X0627')  
		and xcsj >=DATEADD(hh,-8,getdate())   and xcsj <=getdate() group by mhqbm 
		--鲁群厂区
		insert into [bw].[dbo].[bw_xjcs] SELECT mhqbm,count(1) as 巡检次数,6 as 应巡检次数 ,GETDATE() AS 时间 FROM [bw].[dbo].[bw_xclssjb] 
		where mhqbm in ( 'X0701','X0702','X0703','X0704','X0705','X0706','X0707','X0708','X0709','X0710','X0711','X0712') 
		 and xcsj >=DATEADD(hh,-8,getdate())   and xcsj <=getdate() group by mhqbm
        --公园书院
		insert into [bw].[dbo].[bw_xjcs]  SELECT mhqbm,count(1) as 巡检次数,18 as 应巡检次数,GETDATE() AS 时间  FROM [bw].[dbo].[bw_xclssjb]
		  where mhqbm in ( 'X0901','X0902','X0903') 
		  and xcsj >=DATEADD(hh,-8,getdate())   and xcsj <=getdate() group by mhqbm 
        --公园文苑
		insert into [bw].[dbo].[bw_xjcs]   SELECT mhqbm,count(1) as 巡检次数,6 as 应巡检次数 ,GETDATE() AS 时间 FROM [bw].[dbo].[bw_xclssjb] 
		  where mhqbm in ( 'X0904','X0905')  
		  and xcsj >=DATEADD(hh,-8,getdate())  and xcsj <=getdate() group by mhqbm
       --东区厂区
		insert into [bw].[dbo].[bw_xjcs]   SELECT mhqbm,count(1) as 巡检次数,6 as 应巡检次数 ,GETDATE() AS 时间 FROM [bw].[dbo].[bw_xclssjb] 
		  where mhqbm in ('X1001','X1002','X1003','X1004','X1005','X1006','X1007','X1008','X1009','X1010','X1011','X1012','X1013','X1014','X1015','X1016','X1017','X1018','X1019','X1020') 
		   and xcsj >=DATEADD(hh,-8,getdate())   and xcsj <=getdate() group by mhqbm
       --洪山小区
		 insert into [bw].[dbo].[bw_xjcs]   SELECT mhqbm,count(1) as 巡检次数,12 as 应巡检次数,GETDATE() AS 时间  FROM [bw].[dbo].[bw_xclssjb] 
		   where mhqbm in ( 'X1101','X1102','X1103','X1104','X1105','X1106','X1107','X1108')  
		   and xcsj >=DATEADD(hh,-8,getdate())   and xcsj <=getdate() group by mhqbm
      --艳阳小区
		insert into [bw].[dbo].[bw_xjcs]    SELECT mhqbm,count(1) as 巡检次数,20 as 应巡检次数 ,GETDATE() AS 时间 FROM [bw].[dbo].[bw_xclssjb] 
		   where mhqbm in ( 'X1201','X1202','X1203','X1204','X1205','X1206','X1207','X1208','X1209','X1210','X1211','X1212','X1213','X1214','X1215','X1216')  
		   and xcsj >=DATEADD(hh,-8,getdate())   and xcsj <=getdate() group by mhqbm 
      --君悦小区
	 insert into [bw].[dbo].[bw_xjcs]  SELECT mhqbm,count(1) as 巡检次数,6 as 应巡检次数 ,GETDATE() AS 时间 FROM [bw].[dbo].[bw_xclssjb] 
	  where mhqbm in ( 'X1301','X1302','X1303','X1304','X1305','X1306','X1307','X1308','X1309','X1310','X1311','X1312','X1313','X1314','X1315')  
	  and xcsj >=DATEADD(hh,-8,getdate())   and xcsj <=getdate() group by mhqbm
END

go

