-- =============================================
-- Author:		何宏达
-- Create date: 2020/09/28
-- Description:	更新调度明细中
-- =============================================
CREATE TRIGGER [dbo].[bw_cljcgl_cljcjl_update]
   ON  [dbo].[bw_cljcgl_cljcjl]
   AFTER UPDATE
AS 
begin
	declare @code int
	if	update(entertime)
	begin
		declare @entertime datetime, @enterOperator nvarchar(50)

		declare cljcjl_cursor insensitive cursor for select code, entertime, enteroperator from Inserted
		open cljcjl_cursor
		fetch next from cljcjl_cursor into @code, @entertime, @enterOperator
		while @@fetch_status = 0
		begin
			if @entertime <> ''
			begin
				update b set b.EnterTime = a.entertime, b.EnterOperator = a.enteroperator
				from bw_cljcgl_cljcjl a
				inner join [10.200.0.91].EOM.dbo.stk_wlys_clxx_hz b on b.CarNumber collate Chinese_PRC_CI_AS = a.carnumber and b.Date = a.rq
				where a.code =@code
			end

			fetch next from cljcjl_cursor into @code, @entertime, @enterOperator
		end

		close cljcjl_cursor
		deallocate cljcjl_cursor
	end
	if update(leavetime)
	begin
		declare @leaveTime datetime, @leaveOperator nvarchar(50)

		declare cljcjl_cursor insensitive cursor for select code, leavetime, leaveoperator
		from Inserted
		open cljcjl_cursor
		fetch next from cljcjl_cursor into @code, @leaveTime, @leaveOperator
		while @@fetch_status = 0
		begin
			if @leaveTime <> ''
			begin
				update b set b.LeaveTime = a.leavetime, b.LeaveOperator = a.leaveoperator
				from bw_cljcgl_cljcjl a
				inner join [10.200.0.91].EOM.dbo.stk_wlys_clxx_hz b on b.CarNumber collate Chinese_PRC_CI_AS = a.carnumber and b.Date = a.rq
				where a.code =@code
			end

			fetch next from cljcjl_cursor into @code, @leaveTime, @leaveOperator
		end

		close cljcjl_cursor
		deallocate cljcjl_cursor
	end
END
go

disable trigger bw_cljcgl_cljcjl_update on bw_cljcgl_cljcjl
go

