-- =============================================
-- 名称：问题处理
-- 作者：	邢港
-- 日期：2018/08/15
-- =============================================
CREATE PROCEDURE [dbo].[bw_IssueRecord_Handle] 
  @billNO varchar(50),
  @handleNote nvarchar(1000),
  @userGuid varchar(50),
  @userName varchar(50)
AS
begin

declare @isHandle bit

--检查
select @isHandle=IsHandle from bw_IssueRecord where BillNO=@billNO
if @@ROWCOUNT=0
begin
  select '单据不存在'
  return
end
else
begin
  if @isHandle=1
  begin
    select '单据已经处理，不能重复处理'
    return
  end
end

--确认
update bw_IssueRecord set IsHandle=1,HandleNote=@handleNote,HandleUserGuid=@userGuid,HandleUserName=@userName,HandleTime=getdate() where BillNO=@billNO

select 'OK'

end
go

grant execute on bw_IssueRecord_Handle to xjapp
go

