-- =============================================
-- Author:		何宏达
-- Create date: 2018/07/20
-- Description:	根据bw_ssxcxxb中更新的数据更新sswzdjb的数据
-- =============================================
CREATE TRIGGER [dbo].[bw_ssxcxxb_insert]
   ON  [dbo].[bw_ssxcxxb]
   AFTER update
AS 
DECLARE @count int,@c int
if update(xcsj)
	BEGIN
		--更新巡查时间后,获取经纬度信息、人员、巡查时间信息。 @longitude 经度；@latitude 纬度
		declare @xcr varchar(50),@xcsj datetime,@xcjwd varchar(50),@guid varchar(50)
		--循环处理信息
		declare transfer_cursor insensitive cursor for select xcr,xcsj,xcjwd from Inserted
		open transfer_cursor
		fetch next from transfer_cursor into @xcr,@xcsj,@xcjwd
		while @@fetch_status=0
		begin
			--根据巡查人姓名从93 LTTCERPMain SYS_Users获取Guid；
			select @c=count(1) from  bw_GUID where UserName=@xcr
			if @c>0
			begin
			select top 1 @guid=Guid from bw_GUID where UserName=@xcr
			end
			else
			begin
			insert into bw_GUID values(NEWID(),@xcr)
			select top 1 @guid=Guid from bw_GUID where UserName=@xcr
			end
			--如果sswzdjb中已有相关人员，则进行更新，否则进行插入
			select @count=count(1) from dbo.bw_sswzdjb where Guid=@guid
			if @count>0
			begin
				update dbo.bw_sswzdjb set Name=@xcr,UpdateTime=@xcsj,Longitude=substring(@xcjwd,0,charindex(',',@xcjwd)),Latitude=reverse(substring(reverse(@xcjwd),0,charindex(',',reverse(@xcjwd)))),[Source]='巡查定位' where Guid=@guid
			end
			else
			begin
				insert into dbo.bw_sswzdjb ( Guid ,Name ,UpdateTime ,Longitude ,Latitude,[Source])
				values ( @guid,        -- Guid - varchar(50)
						 @xcr,       -- Name - nvarchar(30)
						 @xcsj,		-- UpdateTime - datetime
						 substring(@xcjwd,0,charindex(',',reverse(@xcjwd))) ,        -- Longitude - varchar(50)
						 reverse(substring(reverse(@xcjwd),0,charindex(',',reverse(@xcjwd)))),          -- Latitude - varchar(50)
             '巡查定位'
					)
			end
			fetch next from transfer_cursor into @xcr,@xcsj,@xcjwd
		end
		close transfer_cursor
		deallocate transfer_cursor
	END
go

disable trigger bw_ssxcxxb_insert on bw_ssxcxxb
go

